# Interface BookmarkJson

Predefined bookmarks for use by the application. A bookmark is a saved map extent that allows end users to quickly navigate to a particular area of interest.

See https://developers.arcgis.com/web-map-specification/objects/bookmark/.

interface BookmarkJson {
extent?: ExtentJson;
name: string;
thumbnail?: {
url?: string;
};
viewpoint?: ViewpointJson;
}

#####
Index

### Properties

extent?
name
thumbnail?
viewpoint?

##
Properties

### `Optional` extent

extent?: ExtentJson

#### Deprecated

An extent object containing a spatial reference, a lower left coordinate, and an upper right coordinate defining the rectangular area of the bookmark. The spatial reference must be the same as the map spatial reference.

### name

name: string

A string name for the bookmark.

### `Optional` thumbnail

thumbnail?: {
url?: string;
}

Object containing a thumbnail image.

#### Type declaration

- ##### `Optional` url?: string

  The URI pointing to the thumbnail image. Can be a URL or a base64-encoded image.

### `Optional` viewpoint

viewpoint?: ViewpointJson

Represents the location displayed on the map. If viewpoint is defined, ignore the extent. If viewpoint is not defined, use the extent property. For backwards compatibility, please save both extent and viewpoint properties.